-- begin TEST_EQUIPMENT_GROUP
create table TEST_EQUIPMENT_GROUP (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255) not null,
    --
    primary key (ID)
)^
-- end TEST_EQUIPMENT_GROUP
-- begin TEST_EQUIPMENT
create table TEST_EQUIPMENT (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255) not null,
    EQUIPMENT_GROUP_ID varchar(36),
    --
    primary key (ID)
)^
-- end TEST_EQUIPMENT
-- begin TEST_MACHINE
create table TEST_MACHINE (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    --
    primary key (ID)
)^
-- end TEST_MACHINE
-- begin TEST_EQUIPMENT_KIT
create table TEST_EQUIPMENT_KIT (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    MACHINE_ID varchar(36),
    --
    primary key (ID)
)^
-- end TEST_EQUIPMENT_KIT
-- begin TEST_EQUPMENT_KIT_LINE
create table TEST_EQUPMENT_KIT_LINE (
    ID varchar(36) not null,
    VERSION integer not null,
    CREATE_TS timestamp,
    CREATED_BY varchar(50),
    UPDATE_TS timestamp,
    UPDATED_BY varchar(50),
    DELETE_TS timestamp,
    DELETED_BY varchar(50),
    --
    QTY integer,
    EQUIPMENT_ID varchar(36),
    EQUIPMENT_KIT_ID varchar(36),
    --
    primary key (ID)
)^
-- end TEST_EQUPMENT_KIT_LINE
