package com.company.test.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import com.haulmont.cuba.core.entity.StandardEntity;

@Table(name = "TEST_EQUPMENT_KIT_LINE")
@Entity(name = "test$EqupmentKitLine")
public class EqupmentKitLine extends StandardEntity {
    private static final long serialVersionUID = -3418898318585704447L;

    @Column(name = "QTY")
    protected Integer qty;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EQUIPMENT_ID")
    protected Equipment equipment;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "EQUIPMENT_KIT_ID")
    protected EquipmentKit equipmentKit;

    public void setEquipmentKit(EquipmentKit equipmentKit) {
        this.equipmentKit = equipmentKit;
    }

    public EquipmentKit getEquipmentKit() {
        return equipmentKit;
    }


    public void setQty(Integer qty) {
        this.qty = qty;
    }

    public Integer getQty() {
        return qty;
    }

    public void setEquipment(Equipment equipment) {
        this.equipment = equipment;
    }

    public Equipment getEquipment() {
        return equipment;
    }


}